Skip to content
Letterhead Letterhead Letterhead Help Center
Admin Tools

Get an agent run

GET
/api/v3/agents/runs/{runUniqueId}
curl --request GET \
--url 'https://api.tryletterhead.com/api/v3/agents/runs/example?api=true' \
--header 'Authorization: Bearer <token>'

Get a single agent run by its unique identifier, including its judgments.

runUniqueId
required
string

The agent run’s unique identifier.

api
required
boolean

Required. Set to true.

200 OK

Media type application/json
object
items
object
uniqueId
string
agentUniqueId
string
agentName
string
agentType
integer
letterTitle
string
contextLabel
string
resourceType
integer
resourceUniqueId
string
status
integer
summary
string
nullable
validationCode
integer
dispatchedAt
string
nullable
startedAt
string
nullable
completedAt
string
nullable
judgments
Array<object>
object
uniqueId
string
severity
integer
confidence
integer
category
string
finding
string
suggestion
string
state
integer
createdAt
string
updatedAt
string
isOutdated
boolean
createdAt
string
updatedAt
string
message
string
total
integer
Example
{
"items": {
"uniqueId": "vq5rnof1op",
"agentUniqueId": "mofuehvagv",
"agentName": "House style checker",
"agentType": 0,
"letterTitle": "This week in the daily",
"contextLabel": "the-daily",
"resourceType": 0,
"resourceUniqueId": "35f725edbi",
"status": 1,
"summary": "No major issues found.",
"validationCode": 200,
"dispatchedAt": "2026-06-18T14:22:03+00:00",
"startedAt": "2026-06-18T14:22:05+00:00",
"completedAt": "2026-06-18T14:22:09+00:00",
"judgments": [],
"createdAt": "2026-06-18T14:22:03+00:00",
"updatedAt": "2026-06-18T14:22:09+00:00"
},
"message": "",
"total": 1
}

Still can’t find what you need? Contact support.